Bug#911813: use ptrdiff_t as the type of size instead of int

2018-10-24 Thread Mo Zhou
Package: libdsfmt-dev Version: 2.2.3+dfsg-3 Severity: important https://salsa.debian.org/julia-team/julia/blob/master/deps/patches/dSFMT.c.patch https://salsa.debian.org/julia-team/julia/blob/master/deps/patches/dSFMT.h.patch This change is similar to changes about BLAS's 64-bit-index version.

Bug#911812: RM: src:ruby-grpc -- ROM; obsolete, src:grpc now builds ruby-grpc

2018-10-24 Thread Pirate Praveen
Package: ftp.debian.org Severity: normal src:grpc now builds ruby-grpc and hence src:ruby-grpc is no longer required. signature.asc Description: OpenPGP digital signature

Bug#911811: RM: src:ruby-google-protobuf -- ROM; obsolete, src:protobuf now builds ruby-google-protobuf

2018-10-24 Thread Pirate Praveen
Package: ftp.debian.org Severity: normal src:protobuf now builds ruby-google-protobuf and hence src:ruby-google-protobuf is no longer required. signature.asc Description: OpenPGP digital signature

Bug#911810: debian-installer: cannot boot installed on EFI with single xfs root

2018-10-24 Thread Yangfl
Package: debian-installer Severity: important I found with the lastest weekly iso (found in debian-cdimage/weekly-builds/amd64/iso-cd/debian-testing-amd64-netinst.iso) installing with xfs+uefi lead to a non-bootable system due to grub not being able to find the xfs module, without any notice or

Bug#911809: ITP: r-cran-ini -- Read and Write '.ini' Files

2018-10-24 Thread Dylan Aïssi
Package: wnpp Owner: Dylan Aïssi Severity: wishlist * Package name: r-cran-ini Version : 0.3.1 Upstream Author : David Valentim Dias * URL : https://cran.r-project.org/package=ini * License : GPL-3 Programming Lang: GNU R Description : Read and Write

Bug#911808: /sbin/iptables: no such file or directory

2018-10-24 Thread Jason Woofenden
Package: docker.io Version: 18.06.1+dfsg1-2 Severity: important Dear Maintainer, When I run docker with -p it fails with: docker: Error response from daemon: driver failed programming external connectivity on endpoint : (iptables failed: iptables --wait -t nat -A DOCKER -p tcp -d 0/0

Bug#911807: ITP: rover -- text-based light-weight frontend for update-alternatives

2018-10-24 Thread Mo Zhou
Package: wnpp Severity: wishlist * Package name: rover Version : 0.1 Upstream Author : myself * URL : https://salsa.debian.org/debian/rover * License : GPL-3+ Programming Lang: Python Description : text-based light-weight frontend for

Bug#911806: Please provide a way to opt out of AppArmor confinement when running tests

2018-10-24 Thread Michael Biebl
Source: debci Severity: wishlist Hi, atm, debci runs on stable, i.e. AppArmor is not active by default. Once buster is released, this is likely going to change. autopktest with lxc as backend and AppArmor confinement enabled is problematic atm, at least for certain packages. E.g. if I try to

Bug#801727: pugixml: Please package pugixml variant with wchar enabled

2018-10-24 Thread Bill Blough
block 801727 by 911805 thanks I looked at this a little back when we discussed it, but it looked like it was going to take more time than I had right then, so I put it off. I recently had time to dig into this properly, but have hit a snag. After several hours of testing and tweaking, and

Bug#910394: sqlcipher: Crashes on running any SQL Statement (with a key)

2018-10-24 Thread Mark Eichin
Freshly installed to test this: i-meant-that$ dpkg --status sqlcipher|grep Version Version: 3.2.0-2 i-meant-that$ sqlcipher mydata.db SQLCipher version 3.8.6 2014-08-15 11:46:33 Enter ".help" for instructions Enter SQL statements terminated with a ";" sqlite> pragma key = 'passphrase'; sqlite>

Bug#911733: libfiu: FTBFS on 32-bit architectures?

2018-10-24 Thread Chris Lamb
tags 911733 + pending patch thanks Hi Alberto, I think this is what we need: https://salsa.debian.org/lamby/pkg-libfiu/commit/f80fb7ab3a96fe206e8610fc1f01dd1b370f206e ...e-return-offset-size-for-64-bit-variants-to.patch | 20 debian/patches/series

Bug#911805: Please support "multiple flavors" for cmake builds

2018-10-24 Thread William Blough
Package: cdbs Version: 0.4.158 Severity: wishlist Based on my research and testing, it appears that the "multiple flavors" capability that cdbs provides for autotools-based builds does not work for cmake-based builds. Please consider adding this for cmake builds. Thanks! -- System

Bug#911804: wit: please make the build reproducible

2018-10-24 Thread Chris Lamb
Source: wit Version: 3.01a-1 Severity: wishlist Tags: patch User: reproducible-bui...@lists.alioth.debian.org Usertags: buildpath X-Debbugs-Cc: reproducible-b...@lists.alioth.debian.org Hi, Whilst working on the Reproducible Builds effort [0], we noticed that wit could not be built reproducibly.

Bug#911698: ITS: tbb

2018-10-24 Thread Mo Zhou
On Tue, Oct 23, 2018 at 08:42:31PM +0100, Steven Capper wrote: > Hi Mo, > I maintain the package and we had it hosted on Debian Science. I would > like to keep maintaining the package, but I am happy to co-maintain > the package with others. Thank you for the quick reply. I'm happy to co-maintain

Bug#911803: RFP: golang-gopkg-clog.v1-dev -- channel-based logging package for Go

2018-10-24 Thread Jeff Cliff
Package: wnpp Severity: wishlist * Package name: golang-gopkg-clog.v1-dev Version : 1.2 Upstream Author : 无闻 * URL : https://notabug.org/makenotabuggreatagain/clog * License : Apache-2.0 Programming Lang: go Description : channel-based logging package

Bug#586709: Think I found the problem

2018-10-24 Thread Jesse Smith
I believe I found the problem here, after much poking around. Turns out the issue does not appear to be in the halt source code, but in the /etc/init.d/halt file. The /etc/init.d/halt file does some checking to see what the contents of the /etc/default/halt file is (halt or poweroff). If it's the

Bug#911802: ITP: kovri -- C++ I2P router

2018-10-24 Thread Ben Hutchings
On Wed, 2018-10-24 at 17:54 -0700, oneiric wrote: [...] > I plan to create a Kovri package for Debian. Building Kovri on Debian > will involve statically building and linking against the most recent > Boost and OpenSSL libraries. [...] You will need to have a very good reason to do this. It is

Bug#911802: ITP: kovri -- C++ I2P router

2018-10-24 Thread oneiric
Package: wnpp Severity: wishlist Dear Maintainer, Adding Kovri to the Debian ecosystem would provide users a lightweight entry into the I2P network. Kovri is a C++ implementation of an I2P router. I2P is an overlay network, providing users with secure, private access to a number of services. I

Bug#586709: Can confirm this bug

2018-10-24 Thread Jesse Smith
I can confirm this bug exists in SysV init 2.91. Have not found the cause yet. At first I thought it might be a matter of shutdown and halt using different methods to cut power (ie maybe halt was trying to poweroff but couldn't do to a compatibility problem). But I have confirmed on my own machine

Bug#783781: apt-show-versions: shows "foo:all not installed" for packages that transitioned from arch any to arch all

2018-10-24 Thread Paul Wise
On Wed, 2018-10-24 at 11:42 -0400, Antoine Beaupré wrote: > But it's not clear to me what the proper solution is or what the purpose > of this 'not installed' statement is... That code has been present > basically forever (since the 2007, 0.10 original git import) without any > clear explanation.

Bug#911777: iptables: iptables-persistent broken by changed path of iptables-restore

2018-10-24 Thread Jon DeVree
The iptables-persistent package was also broken by this change. -- Jon Doge Wrangler X(7): A program for managing terminal windows. See also screen(1) and tmux(1).

Bug#827337: apt-show-versions: option to hide packages that are at the right version based on pinning upgradeable

2018-10-24 Thread Paul Wise
On Wed, 2018-10-24 at 12:05 -0400, Antoine Beaupré wrote: > What *is* the proper way of figuring out what the default release is? > Or should we have a --ignore flag that would ignore a certain suite? APT developers: we could use your help on this bug report: https://bugs.debian.org/827337

Bug#911801: pacemaker: Cannot complete pcs cluster setup command, returns error HTTP401

2018-10-24 Thread Duncan Hare
Package: pacemaker Version: 1.1.16-1 Severity: grave Justification: causes non-serious data loss -- System Information: Debian Release: 9.5 APT prefers stable-updates APT policy: (500, 'stable-updates'), (500, 'stable') Architecture: amd64 (x86_64) Kernel: Linux 4.9.0-8-amd64 (SMP w/1 CPU

Bug#749991: A tiresome subject for YEARS.

2018-10-24 Thread Ben Hutchings
On Wed, 2018-10-24 at 18:44 +0200, John Paul Adrian Glaubitz wrote: > On 10/24/18 6:42 PM, Oliver Riesener wrote: > > No unetbootin, it’s the stock stretch netboot installation. > > initrd kernel from actual Debian9.5/…./amd64/netboot/netboot.tar.gz > > didn’t find kernel modules anymore. The

Bug#911791: drupal7: DATE_RFC7231 already defined in PHP 7.0.19 and 7.1.5

2018-10-24 Thread Bill Blough
Will do. Thanks.

Bug#911777: iptables: ferm broken by changed path of iptables-restore

2018-10-24 Thread Cesare Leonardi
Dear iptables maintainers, reading the initial bug report you can think I haven't read README.Debian before filing this bug, but I did. It's clear that now iptables is handled by update-alternatives, so that the user can choose between the new nftables compatible programs (the dafault) or the

Bug#911800: cabal-install: depend on or recommend curl/wget for HTTPS support?

2018-10-24 Thread Colin Watson
Package: cabal-install Version: 2.0.0.1-1 Severity: wishlist Since version 1.24.0.0, cabal-install can use curl or wget for HTTPS support, if installed; but there's no indication of this in its package relationships. Would it be worth depending on or at least recommending curl | wget, to clue

Bug#911798: /usr/sbin/rsyslogd: Upgrade in 2018-06 caused rsyslogd to not log to auth.log and other files

2018-10-24 Thread Michael Biebl
Control: tags -1 moreinfo Am 24.10.18 um 23:00 schrieb Jeffrey: > We found a number of Debian 9 servers that stopped logging after OS updates > in 2018-06. If my memory serves me (and it probably doesn't), it would appear > that syslog was removed but rsyslog wasn't installed as a replacement.

Bug#908847: llvm-toolchain-6.0: FTBFS on hurd-i386

2018-10-24 Thread Samuel Thibault
Hello, There was an issue with paths returned by llvm-config, discussed upstream on https://reviews.llvm.org/D53557 , I'd like to NMU the fix commited upstream attached here, may I proceed? Samuel [hurd] Make getMainExecutable get the real binary path On GNU/Hurd, llvm-config is returning bogus

Bug#911768: [pkg-gnupg-maint] Bug#911768: pinentry-gnome3 fails to open a window with 'No Gcr System Prompter available, falling back to curses'

2018-10-24 Thread Daniel Kahn Gillmor
Hi Tiziano-- On Wed 2018-10-24 17:24:33 +0200, Tiziano Zito wrote: > pinentry-gnome3 (but also pinentry-gtk-2) does not open a window anymore to > ask for a passphrase. If run from terminal it shows: > > No Gcr System Prompter available, falling back to curses > OK Pleased to meet you > > It was

Bug#911785: dnssec-coverage complains about issues in the past

2018-10-24 Thread Ondřej Surý
Control: forwarded -1 https://gitlab.isc.org/isc-projects/bind9/issues/625 -- Ondřej Surý ond...@sury.org > On 24 Oct 2018, at 21:59, Peter Palfrader wrote: > > To reproduce: > > > mkdir example.com > cd example.com > faketime -f '-1y' /usr/sbin/dnssec-keygen -f KSK -K . -a RSASHA256 -3

Bug#911799: python-libvirt: Fail to create or start virtual network interfaces after an upgrade

2018-10-24 Thread Alex Volkov
Package: python-libvirt Version: 4.6.0-1 Severity: important Dear Maintainer, After a recent upgrade of libvirt packages I'm no longer able to virtual networking for libvirt. I've tried installing firewalld and dnsmasq to fix some of the errors I've received when attemting to get virtual

Bug#911774: O: xview -- XView shared libraries

2018-10-24 Thread Mattia Rizzolo
On Wed, Oct 24, 2018 at 08:37:33PM +0200, Sven Joachim wrote: > On 2018-10-24 18:17 +0200, Mattia Rizzolo wrote: > > > Package: wnpp > > > > The current maintainer of xview, Blars Blarson , > > is apparently not active anymore. Therefore, I orphan this package now. > > > > Maintaining a package

Bug#911791: drupal7: DATE_RFC7231 already defined in PHP 7.0.19 and 7.1.5

2018-10-24 Thread Gunnar Wolf
William Blough dijo [Wed, Oct 24, 2018 at 03:56:56PM -0400]: > In stable, drupal7 defines a constant (DATE_RFC7231) that conflicts with > the same constant already defined by php7. This happens intermittently > depending on what code is being loaded/executed in php (the drupal > constant is

Bug#911798: /usr/sbin/rsyslogd: Upgrade in 2018-06 caused rsyslogd to not log to auth.log and other files

2018-10-24 Thread Jeffrey
Package: rsyslog Version: 8.24.0-1 Severity: important File: /usr/sbin/rsyslogd Hello there! We found a number of Debian 9 servers that stopped logging after OS updates in 2018-06. If my memory serves me (and it probably doesn't), it would appear that syslog was removed but rsyslog wasn't

Bug#911797: Multiple vulnerabilities

2018-10-24 Thread Moritz Muehlenhoff
Source: open-build-service Severity: grave Tags: security Please verify whether these affect OBS as packaged in Debian: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12477 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-12478

Bug#910397: Firefox 60.3.0esr, same problem

2018-10-24 Thread Paul van der Vlis
Firefox 60.3.0esr has the same problem. Tested with both Linkello and meet.jit.si.

Bug#868895: xtensa toolchain(s)

2018-10-24 Thread Helmut Grohne
Hi Jonathan, On Fri, Aug 03, 2018 at 04:46:16AM +0100, Jonathan McDowell wrote: > I've been looking at generating binutils + gcc packages based on the > binutils-source + gcc-7-source packages for the xtensa-lx106 target > (ESP8266). I have something that seems to be working, and I'm >

Bug#911795: CVE-2018-17846 / CVE-2018-17847 / CVE-2018-17848

2018-10-24 Thread Martín Ferrari
On 24/10/18 22:17, Moritz Muehlenhoff wrote: > Source: golang-golang-x-net-dev > Severity: important > Tags: security > > Please see > http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17846 > http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17847 >

Bug#911796: CVE-2018-14642

2018-10-24 Thread Moritz Muehlenhoff
Source: undertow Severity: important Tags: security Limited details so far: https://bugzilla.redhat.com/show_bug.cgi?id=1628702 Cheers, Moritz

Bug#911795: CVE-2018-17846 / CVE-2018-17847 / CVE-2018-17848

2018-10-24 Thread Moritz Muehlenhoff
Source: golang-golang-x-net-dev Severity: important Tags: security Please see http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17846 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17847 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-17848

Bug#911792: sdlgfx: autopkgtest regression: seems to run same test over and over again

2018-10-24 Thread Manuel A. Fernandez Montecelo
Hi, Em qua, 24 de out de 2018 às 22:03, Paul Gevers escreveu: > > Source: sdlgfx > Version: 2.0.25-10 > X-Debbugs-CC: debian...@lists.debian.org > User: debian...@lists.debian.org > Usertags: regression > > Dear maintainers, > > With a recent upload of sdlgfx the autopkgtest of sdlgfx fails in >

Bug#911794: bluetooth: Baseus B11: Poor audio quality HSP/HFP, terrible with a2dp sink

2018-10-24 Thread Stelios Barberakis
Package: bluetooth Version: 5.50-1 Severity: important Dear Maintainer, ** I am not sure if this is a bluetooth or pulseaudio issue :S ** New Baseus b11 device works seamlessly with my android 4.0 phone. Also pairing with Dell Latitude e5550 (current debian installation) works fine. However: *

Bug#909624: flightgear-phi: diff for NMU version 2018.1.1+dfsg1-1.1

2018-10-24 Thread Adrian Bunk
Control: tags 909624 + patch Control: tags 909624 + pending Dear maintainer, I've prepared an NMU for flightgear-phi (versioned as 2018.1.1+dfsg1-1.1) and uploaded it to DELAYED/14. Please feel free to tell me if I should cancel it. cu Adrian -- "Is there not promise of rain?" Ling

Bug#911605: remove addresses of retired DDs from cdvendors@d.o alias

2018-10-24 Thread Holger Wansing
Hi, Laura Arjona Reina wrote: > Hello all > > Thanks Holger and Mattia for the report. > > I have removed atte...@debian.org from the CDVENDORS entry in > www-master.debian.org > I didn't find spaill...@debian.org there, but it was present in the WEBMASTER > entry, and since it's a retired

Bug#911780: psk31lx: version monotony violation: lenny had 2.1+2.2beta1-8

2018-10-24 Thread Ervin Hegedüs
Hi Andreas, On Wed, Oct 24, 2018 at 07:17:21PM +0200, Andreas Beckmann wrote: > Package: psk31lx > Version: 2.1-1 > Severity: serious > User: debian...@lists.debian.org > Usertags: piuparts > > Hi, > > lenny had the following binary package (from src:twpsk): [...]

Bug#910969: firmware-nonfree 20161130-4 flagged for acceptance

2018-10-24 Thread Adam D Barratt
Control: tags -1 + pending Hi, The upload referenced by this bug report has been flagged for acceptance into the proposed-updates queue for Debian . Thanks for your contribution! Upload details == Package: firmware-nonfree Version: 20161130-4 Explanation: fix security issues in

Bug#911281: disorderfs: can not update only mtime

2018-10-24 Thread Chris Lamb
tags 911281 + pending thanks Fixed in Git, pending upload: https://salsa.debian.org/reproducible-builds/disorderfs/commit/e58c31a869a1b575a946b8977c6adf8aece5f1d7 disorderfs.cpp | 6 ++ tests/common | 4 tests/touch| 12 3 files changed, 10 insertions(+),

Bug#911793: camitk: autopkgtest regression: Segmentation fault

2018-10-24 Thread Paul Gevers
Source: camitk Version: 4.1.2-2 X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: regression Dear maintainers, With a recent upload of camitk the autopkgtest of camitk fails in testing when that autopkgtest is run with the binary packages of camitk from

Bug#911785: dnssec-coverage complains about issues in the past

2018-10-24 Thread Peter Palfrader
To reproduce: mkdir example.com cd example.com faketime -f '-1y' /usr/sbin/dnssec-keygen -f KSK -K . -a RSASHA256 -3 -b 2048 example.com key=$(faketime -f '-1y' /usr/sbin/dnssec-keygen -K . -a RSASHA256 -3 -b 1024 -I +120d -D +150d example.com) first=$key lt=120 for i in `seq 1 5`; do

Bug#911792: sdlgfx: autopkgtest regression: seems to run same test over and over again

2018-10-24 Thread Paul Gevers
Source: sdlgfx Version: 2.0.25-10 X-Debbugs-CC: debian...@lists.debian.org User: debian...@lists.debian.org Usertags: regression Dear maintainers, With a recent upload of sdlgfx the autopkgtest of sdlgfx fails in testing when that autopkgtest is run with the binary packages of sdlgfx from

Bug#911791: drupal7: DATE_RFC7231 already defined in PHP 7.0.19 and 7.1.5

2018-10-24 Thread William Blough
Package: drupal7 Version: 7.52-2+deb9u4 Severity: important Tags: upstream In stable, drupal7 defines a constant (DATE_RFC7231) that conflicts with the same constant already defined by php7. This happens intermittently depending on what code is being loaded/executed in php (the drupal constant

Bug#911760: lightdm-gtk-greeter segfault, lightdm restart too fast, can't login to desktop (Bug #911760)

2018-10-24 Thread Bernhard Übelacker
Hello Alex Andreotti, just tried to reproduce this issue but did not happen inside my unstable amd64 qemu VM. Probably you can install an core dump collector like systemd-coredump? Then you could see the stack where the crash happened by: coredumpctl gdb list coredumpctl gdb And even

Bug#911789: erlang-depends crashes on empty substvars file

2018-10-24 Thread Michael Kuhn
Package: erlang Severity: normal Tags: patch Dear Maintainer, erlang-depends crashes when the corresponding substvars file is empty. This causes crashes on Ubuntu, where dpkg-shlibdeps sometimes creates empty substvars files: escript: exception error: no function clause matching

Bug#911790: update-chromium-homepage uses static config file

2018-10-24 Thread Mike Gabriel
Package: debian-edu-config Severity: minor Version: 2.10.41 Hi, I looked at the update-firefox-homepage and update-chromium-homepage scripts today and realized that the update-chromium-homepage script statically creates this config file snippet: ``` { "HomepageLocation" : "https://www;,

Bug#909818: confirm downgrade of fontconfig solves the problem

2018-10-24 Thread Francesco Potortì
I can confirm that downgrading fontconfig and libfontcofig1 solves the problem. Unfortunately, the 2.13.0 version is no more available in the archive, and previous versions are not compatible. So I had to recompile them myself. Here are the packages I just installed on my amd64 box:

Bug#911788: [game-data-packager] Fails to download wolf3d data from http://pkg-games.alioth.debian.org

2018-10-24 Thread Juanjo Benages
Package: game-data-packager Version: 59 Severity: normal --- Please enter the report below this line. --- When trying to download the demo data gives the following error: $ game-data-packager wolf3d WARNING:game_data_packager.download:Failed to download

Bug#911787: RM: xview -- RoQA; Orphaned; RC-Buggy; Not compatible with 64-bit arch; Upstream dead for decades

2018-10-24 Thread Boyuan Yang
Package: ftp.debian.org Severity: normal X-Debbugs-CC: 911...@bugs.debian.org User: ftp.debian@packages.debian.org Usertags: remove Dear FTP Masters, As discussed in https://bugs.debian.org/911774 , please remove package xview from Debian archive. It is basically a legacy left from last

Bug#911786: libspring-java: CVE-2018-15756

2018-10-24 Thread Salvatore Bonaccorso
Source: libspring-java Version: 4.3.19-1 Severity: important Tags: security upstream Hi, The following vulnerability was published for libspring-java. CVE-2018-15756[0]: | Spring Framework, version 5.1, versions 5.0.x prior to 5.0.10, | versions 4.3.x prior to 4.3.20, and older unsupported

Bug#907336: disable ghostscript

2018-10-24 Thread Bastien ROUCARIES
Le mer. 24 oct. 2018 à 20:39, Thorsten Alteholz a écrit : > Hi, > > is there any plan to do the suggested disabling of ghostscript? > I wonder whether this should be done as well in other releases when > CVE-2018-18025 will be fixed. > If security team thinks it a good idéal why not. But we

Bug#911750: Race condition in d-i leading to kernel from security.debian.org to be kept back

2018-10-24 Thread Ben Hutchings
On Wed, 2018-10-24 at 16:30 +0200, Raphaël Halimi wrote: > Le 24/10/2018 à 14:15, Ben Hutchings a écrit : > > > When the kernel metapackage (linux-image-) is initially installed, > > > APT doesn't install recommended packages, and security.debian.org > > > repository is not configured yet, so the

Bug#911757: zsh-antigen: please make the build reproducible

2018-10-24 Thread Chris Lamb
Hi Daniel, > Chris, are you sure that's right? According to date(1), the --date > option takes an argument, so that would seem to take "--utc" as the date > to parse Mea culpa. I think what happened was that as it was a patch-to-a-patch I either a) made the change I attached quasi-manually and

Bug#911774: O: xview -- XView shared libraries

2018-10-24 Thread Sven Joachim
On 2018-10-24 18:17 +0200, Mattia Rizzolo wrote: > Package: wnpp > > The current maintainer of xview, Blars Blarson , > is apparently not active anymore. Therefore, I orphan this package now. > > Maintaining a package requires time and skills. Please only adopt this > package if you will have

Bug#907336: disable ghostscript

2018-10-24 Thread Thorsten Alteholz
Hi, is there any plan to do the suggested disabling of ghostscript? I wonder whether this should be done as well in other releases when CVE-2018-18025 will be fixed. Thorsten

Bug#911785: dnssec-coverage complains about issues in the past

2018-10-24 Thread Peter Palfrader
Package: bind9utils Version: 1:9.10.3.dfsg.P4-12.3+deb9u4 Severity: normal Tags: patch We regularly rotate our ZSKs, and just recently we started removing old .key files from our keydir. The oldest remaining ZSK now has a published date in the past, and an activation date also in the past but

Bug#911784: grub: Couldn't find physical volume `(null)'. Some modules may be missing from core image..

2018-10-24 Thread Thorsten Glaser
Package: grub-pc Version: 2.02~beta2-22+deb8u1 Severity: minor Screenshot: # dpkg-reconfigure -plow grub-pc [… I’ll spare you debconf …] Installing for i386-pc platform. grub-install: warning: Couldn't find physical volume `(null)'. Some modules may be missing from core image.. grub-install:

Bug#882047: [pkg-apparmor] Bug#882047: Bug#882047: apparmor-utils: aa-complain thunderbird fails

2018-10-24 Thread Christian Boltz
Hello, Am Sonntag, 21. Oktober 2018, 16:49:29 CEST schrieb Christian Boltz: > As usual if I do some tests, I found more issues: > - the attachment won't be checked if a profile has a name (so using a > variable currently doesn't matter ;-) > - aa-complain first does a "which thunderbird" and

Bug#909523: [pkg-apparmor] Bug#909523: cachefilesd broken by apparmor

2018-10-24 Thread Anthony DeRobertis
On Sun, Oct 21, 2018 at 10:24:46AM +0200, intrigeri wrote: > > Can you please retry with AppArmor enabled, after commenting out the > "secctx" directive in /etc/cachefilesd.conf? If this works, then my > hypothesis will be confirmed and my recommendation will be: Seems your hypothesis is

Bug#911782: python-cryptography FTBFS: openssl test fails

2018-10-24 Thread Helmut Grohne
Source: python-cryptography Version: 2.3-1 Severity: serious Tags: ftbfs python-cryptography fails to build from source in unstable. The same version builds fine in testing. This indicates that a dependency (e.g. openssl) is the cause.

Bug#905262: RFS: golang-github-tcnksm-go-gitconfig

2018-10-24 Thread Alexandre Viau
On 2018-10-24 1:23 p.m., Jongmin Kim wrote: > Thank you for your upload! > > I have one more request. Could you please review and upload? > Pushed all to our team's repo: > > https://salsa.debian.org/go-team/packages/golang-github-tcnksm-go-gitconfig Uploaded! Thank you for your contribution!

Bug#910764: openjfx: segmentation fault in GtkNativeMainLoopThread

2018-10-24 Thread Markus Koschany
I believe I have found a way to workaround this issue for the moment. If I pass -Djdk.gtk.version=2 to PDFsam version 3.3.7 it no longer crashes. However there is another issue with fontawesomefx, so there is still some work to do. I think I will forward this issue to the OpenJFX developers

Bug#905262: RFS: golang-github-tcnksm-go-gitconfig

2018-10-24 Thread Jongmin Kim
Thank you for your upload! I have one more request. Could you please review and upload? Pushed all to our team's repo: https://salsa.debian.org/go-team/packages/golang-github-tcnksm-go-gitconfig As you know, we applied a patch in this package. 'go-gitconfig' did a test which is not fully

Bug#911780: psk31lx: version monotony violation: lenny had 2.1+2.2beta1-8

2018-10-24 Thread Andreas Beckmann
Package: psk31lx Version: 2.1-1 Severity: serious User: debian...@lists.debian.org Usertags: piuparts Hi, lenny had the following binary package (from src:twpsk): Package: psk31lx Priority: optional Section: hamradio Installed-Size: 148 Maintainer: Joop Stakenborg Architecture: i386 Source:

Bug#911781: kmail and akoinadi not working correctly - deleted mails appear again

2018-10-24 Thread Hans-J. Ullrich
Package: kmail Version: 4:18.08.1-1 Severity: important Dear Maintainer, sadlly the playing together between kamial and akonadi is going worse from version to version. At first, when you want to delete mails, the deletion was lasting a long time. Then soime versions later, mails in inbox

Bug#911779: RFS: multiblend/0.6.2-1 multi-level image blender for the seamless blending of panoramic

2018-10-24 Thread Fernando Toledo
Package: sponsorship-requests Severity: normal Dear mentors, I am looking for a sponsor for my package "multiblend" * Package name: multiblend Version : 0.6.2-1 Upstream Author : David Horman * URL : http://horman.net/multiblend/ * License : GPL-2+

Bug#911778: bash: I would like to be able to disable v which runs $EDITOR.

2018-10-24 Thread Jim Lebeau
Package: bash Version: 4.4-5 Severity: wishlist Dear Maintainer, I use vi a great deal and so press escape a great deal. (often when I shouldn't) If I plan to run vi again I then type v. The results are not pleasing. I have been known to say bad words. I never use the

Bug#865086: xen-hypervisor-4.8-amd64: Default grub entry broken with locales (how to reproduce)

2018-10-24 Thread Hans van Kranenburg
Hi, Can anyone explain me how I can reproduce this failure, and how exactly I can verify the fix? From a QA POV I'd like to verify this before applying. I don't have a lot of experience with gettext. What I did to test is (buster dom0 with latest xen 4.11 from unstable): -# dpkg-reconfigure

Bug#905090: wine-development: Causing SEGV when using Qt.

2018-10-24 Thread Bernhard Übelacker
Hello all, to upstream git this patch [1] got just committed. I repeated my tests from message #25 with wine-development version 3.18 and found: - Debian packages show still that exact crash. - A local rebuilt package show that crash too. - A local rebuilt package with just patch applied does

Bug#749991: A tiresome subject for YEARS.

2018-10-24 Thread John Paul Adrian Glaubitz
On 10/24/18 6:42 PM, Oliver Riesener wrote: > No unetbootin, it’s the stock stretch netboot installation. > initrd kernel from actual Debian9.5/…./amd64/netboot/netboot.tar.gz > didn’t find kernel modules anymore. The old one before too. > It’s a point release problem. Older versions of

Bug#911777: iptables: ferm broken by changed path of iptables-restore

2018-10-24 Thread Cesare Leonardi
Package: iptables Version: 1.8.1-1 Severity: normal After the upgrade from 1.6.2-1.1 to 1.8.1-1, ferm firewall cannot start anymore, because it doesn't find /sbin/iptables-restore. Now iptables programs are all under /usr/sbin (with the exception of iptables-xml under /usr/bin), while in 1.6.2

Bug#749991: A tiresome subject for YEARS.

2018-10-24 Thread Oliver Riesener
No unetbootin, it’s the stock stretch netboot installation. initrd kernel from actual Debian9.5/…./amd64/netboot/netboot.tar.gz didn’t find kernel modules anymore. The old one before too. It’s a point release problem. Older versions of modules (.udeb ?) seems to be from debian repo. > Am

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Jongmin Kim
Thanks, Alexandre! On Wed, Oct 24, 2018 at 12:17:49PM -0400, Alexandre Viau wrote: > Why would you set builder and cleaner in debian/gbp.conf? > > It has nothing to do with the layout of the repository. It should be up > to whoever maintains the package to decide how he wants to build it. Yes,

Bug#839008: scribus no longer finds DejaVu fonts

2018-10-24 Thread Mattia Rizzolo
Control: reassign -1 libfreetype6 2.6.3-3.2 Control: fixed -1 2.7.1-0.1 Control: affects -1 scribus On Fri, Nov 24, 2017 at 12:45:46AM +0100, Hartmut Buhrmester wrote: > Apparently, this is caused by a bug in the FreeType library libfreetype6. An > upstream bug report says: > > > This is a bug

Bug#911776: fontconfig: makes Firefox, Gimp, Inkscape occasionally freeze

2018-10-24 Thread Francesco Potortì
Package: fontconfig Version: 2.13.0-5 Severity: grave Details are reported in bug #909818 -- System Information: Debian Release: buster/sid APT prefers testing APT policy: (990, 'testing'), (101, 'unstable') Architecture: amd64 (x86_64) Foreign Architectures: i386 Kernel: Linux

Bug#911775: Please package Elixir >= 1.6.6

2018-10-24 Thread Thomas Goirand
Source: elixir Severity: normal Dear Maintainer, I'm packaging RabbitMQ-server, and the latest upstream release needs Elixir 1.6.6 at least. It'd be nice if you could update the package. Cheers, Thomas Goirand (zigo)

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Alexandre Viau
Forgot to CC debian-go. On 2018-10-24 12:16 p.m., Alexandre Viau wrote: > On 2018-10-24 11:55 a.m., Jongmin Kim wrote: >> I am looking for a sponsor for my package "golang-github-rivo-tview". > > Why would you set builder and cleaner in debian/gbp.conf? > > It has nothing to do with the layout

Bug#911774: O: xview -- XView shared libraries

2018-10-24 Thread Mattia Rizzolo
Package: wnpp The current maintainer of xview, Blars Blarson , is apparently not active anymore. Therefore, I orphan this package now. Maintaining a package requires time and skills. Please only adopt this package if you will have enough time and attention to work on it. If you want to be the

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Alexandre Viau
On 2018-10-24 12:17 p.m., Alexandre Viau wrote: > Forgot to CC debian-go. > > On 2018-10-24 12:16 p.m., Alexandre Viau wrote: >> On 2018-10-24 11:55 a.m., Jongmin Kim wrote: >>> I am looking for a sponsor for my package "golang-github-rivo-tview". >> >> Why would you set builder and cleaner in

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Alexandre Viau
On 2018-10-24 11:55 a.m., Jongmin Kim wrote: > I am looking for a sponsor for my package "golang-github-rivo-tview". Why would you set builder and cleaner in debian/gbp.conf? It has nothing to do with the layout of the repository. It should be up to whoever maintains the package to decide how he

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Jongmin Kim
Control: block 905240 by -1 -- Jongmin Kim OpenPGP key located at https://jmkim-pgp.github.io/keys/pubkey.D39D8D29BAF36DF8.Jongmin_Kim.asc OpenPGP fingerprint: 012E 4A06 79E1 4EFC DAAE 9472 D39D 8D29 BAF3 6DF8 signature.asc Description: PGP signature

Bug#908064: diaspora-installer: please update to 0.7.6.0

2018-10-24 Thread Gianfranco Costamagna
control: tags -1 patch pending On Wed, 5 Sep 2018 20:25:05 +0200 Gianfranco Costamagna wrote: > Source: diaspora-installer > Version: 0.7.4.0+nmu1 > Severity: important > Tags: patch > > This new release drops sigar, that is unmaintained and FTBFS with glibc > 2.28 > > I might NMU later this

Bug#827337: apt-show-versions: option to hide packages that are at the right version based on pinning upgradeable

2018-10-24 Thread Antoine Beaupré
On 2016-06-15 13:44:50, Paul Wise wrote: > Package: apt-show-versions > Version: 0.22.7 > Severity: wishlist > > I pin most packages to testing and then have progressively lower pin > values for less desirable suites. I also pin some particular packages > to other suites. I also pin security

Bug#911617: nm.debian.org: AM's profile says "0 applicants processed"

2018-10-24 Thread Mattia Rizzolo
On Mon, Oct 22, 2018 at 12:34:06PM -0400, Alexandre Viau wrote: > I have processed two applicants and their process status is now "Closed". > > However, my AM profile still says "0 applicants processed". In [1]: import backend.models as bmodels In [2]: from django.db.models import Min, Max In

Bug#804099: apt-xapian-index and Python 3

2018-10-24 Thread Dino
Hi, I just realised that update-apt-xapian-index is not working if /usr/bin/python is pointing to a Python 3 interpreter. It gives the following error:   File "/usr/sbin/update-apt-xapian-index", line 86     except OSError, e:   ^ SyntaxError: invalid syntax Thus, I guess

Bug#911773: RFS (team upload): golang-github-rivo-tview/0.0~git20181018.a7c1880-1 [ITP]

2018-10-24 Thread Jongmin Kim
Package: sponsorship-requests Severity: wishlist Control: -1 block 905240 X-Debbugs-CC: debian...@lists.debian.org, av...@debian.org Dear mentors, I am looking for a sponsor for my package "golang-github-rivo-tview". This package is a prerequisite for upcoming package "git-lab" (#898246). This

Bug#909926: No more segfaulting with 0.7.8-1

2018-10-24 Thread Ritesh Raj Sarraf
Hello Hans, On Wed, 2018-10-24 at 17:42 +0200, Hans van Kranenburg wrote: > Hi, > > Just a success report from a user: > > I've been seeing this in dmesg on buster previously, every time > during boot: > > [ 37.091372] multipath[530]: segfault at 100 ip 7fdc202b6136 sp > 7ffdf8d740d8

Bug#826994: ZFS Missing init-scripts, Status? #826994

2018-10-24 Thread Chris Dos
Hello Aron, I would just like to get a final statement from you regarding if this patch is going to be applied or not? If this sysvinit bug is going to forever remain a wishlist and never have the patch applied, then say so and I'll make other arrangements and no longer maintain the patch.

Bug#783781: apt-show-versions: shows "foo:all not installed" for packages that transitioned from arch any to arch all

2018-10-24 Thread Antoine Beaupré
On 2015-04-30 08:27:20, Paul Wise wrote: > The packages apertium-en-es, proj-data and wml have transitioned from > Architecture: any in unstable to Architecture: all in experimental. I > have the unstable versions installed but not the experimental ones and > apt-show-versions shows "foo:all not

Bug#909926: No more segfaulting with 0.7.8-1

2018-10-24 Thread Hans van Kranenburg
Hi, Just a success report from a user: I've been seeing this in dmesg on buster previously, every time during boot: [ 37.091372] multipath[530]: segfault at 100 ip 7fdc202b6136 sp 7ffdf8d740d8 error 4 in libc-2.27.so[7fdc20241000+146000] I found this bug report yesterday, and saw

Bug#894359: Now we have antlr 4.6 - any chance to get 4.7 soon (Was: beast-mcmc2: Cannot find symbol CharStreams.fromString(newick))

2018-10-24 Thread Andrius Merkys
On 10/24/18 1:40 PM, Emmanuel Bourg wrote: > I've uploaded mojo-executor and string-template-maven-plugin, they are > awaiting in the NEW queue for the FTP masters approval. Thanks a lot > Andrius. Many thanks for reviewing and uploading the packages! Best, Andrius

  1   2   >